Name:          libdaemon
Version:       0.14
Release:       2mamba
Summary:       A lightweight C library that eases the writing of UNIX daemons
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://0pointer.de/lennart/projects/libdaemon/
Source:        http://0pointer.de/lennart/projects/libdaemon/libdaemon-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libdaemon is a lightweight C library that eases the writing of UNIX daemons. It consists of the following parts:
A wrapper around fork() which does the correct daemonization procedure of a process
A wrapper around syslog() for simpler and compatible log output to Syslog or STDERR
An API for writing PID files
An API for serializing UNIX signals into a pipe for usage with select() or poll()
An API for running subprocesses with STDOUT and STDERR redirected to syslog.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
libdaemon is a lightweight C library that eases the writing of UNIX daemons. It consists of the following parts:
A wrapper around fork() which does the correct daemonization procedure of a process
A wrapper around syslog() for simpler and compatible log output to Syslog or STDERR
An API for writing PID files
An API for serializing UNIX signals into a pipe for usage with select() or poll()
An API for running subprocesses with STDOUT and STDERR redirected to syslog.

This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libdaemon.so.*
%doc LICENSE README

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libdaemon
%{_includedir}/libdaemon/*.h
%{_libdir}/libdaemon.so
%{_libdir}/libdaemon.a
%{_libdir}/libdaemon.la
%{_libdir}/pkgconfig/*.pc
%{_docdir}/libdaemon/*

%changelog
* Mon Nov 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14-2mamba
- rebuilt with debug package and build fix for aarch64

* Wed Oct 21 2009 Automatic Build System <autodist@mambasoft.it> 0.14-1mamba
- automatic update by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13-1mamba
- automatic update by autodist

* Thu Jun 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12-1mamba
- package created by autospec
